Package ru.bitel.bgbilling.plugins.cashcheck.common

# Class Printer

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.cashcheck.common.Printer

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Cloneable`, `GuiTitlable`, `Idable`, `ListItem`

    public class Printer
    extends IdTitle
    implements java.lang.Cloneable

Класс принтера/ККМ, для представления настроек маппинга ид_принтера=>параметры(ид,порт,адрес,название). Используется только в сервере.

See Also:
  Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `Printer.FiscalizatorType` | доступные типы фискализаторов

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Printer()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Printer` | `clone()` |
  `static Printer` | `empty()` | возвращает "пустой" незаполенный принтер, для некоторых схем с последующим переключением принтера на нужный
  `ru.bitel.bgbilling.plugins.cashcheck.server.fisc.Fiscalizator` | `fiscalize()` | возвращает текущий объект-фискализатор этого принтера
  `java.lang.String` | `getAddress()` | Deprecated. параметры хост+порт задаются и хранятся в конфиге фискализатора
  `int` | `getAutoclosePass()` |
  `java.lang.String` | `getCheckbuilder()` |
  `ParameterMap` | `getConfig()` |
  `Printer.FiscalizatorType` | `getFiscalizatorType()` |
  `int` | `getPass()` |
  `int` | `getPort()` | Deprecated. параметры хост+порт задаются и хранятся в конфиге фискализатора
  `boolean` | `isAutoclose()` |
  `boolean` | `isHidden()` |
  `void` | `setAddress​(java.lang.String address)` | Deprecated. параметры хост+порт задаются и хранятся в конфиге фискализатора
  `void` | `setAutoclose​(boolean autoclose)` |
  `void` | `setAutoclosePass​(int autoclosePass)` |
  `void` | `setCheckbuilder​(java.lang.String checkbuilder)` |
  `void` | `setConfig​(ParameterMap config)` |
  `void` | `setFiscalizatorType​(Printer.FiscalizatorType fiscalizatorType)` |
  `void` | `setHidden​(boolean hidden)` |
  `void` | `setPass​(int pass)` |
  `void` | `setPort​(int port)` | Deprecated. параметры хост+порт задаются и хранятся в конфиге фискализатора
  `void` | `switchPrinter​(Printer printer)` | Перетереть принтер.

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### Printer

    public Printer()

- ## Method Details

  - ### getAddress

    @Deprecated public java.lang.String getAddress()
    Deprecated.
    параметры хост+порт задаются и хранятся в конфиге фискализатора

  - ### setAddress

    @Deprecated public void setAddress​(java.lang.String address)
    Deprecated.
    параметры хост+порт задаются и хранятся в конфиге фискализатора

  - ### getPort

    @Deprecated public int getPort()
    Deprecated.
    параметры хост+порт задаются и хранятся в конфиге фискализатора

  - ### setPort

    @Deprecated public void setPort​(int port)
    Deprecated.
    параметры хост+порт задаются и хранятся в конфиге фискализатора

  - ### isHidden

    public boolean isHidden()

  - ### setHidden

    public void setHidden​(boolean hidden)

  - ### isAutoclose

    public boolean isAutoclose()

  - ### setAutoclose

    public void setAutoclose​(boolean autoclose)

  - ### getAutoclosePass

    public int getAutoclosePass()

  - ### setAutoclosePass

    public void setAutoclosePass​(int autoclosePass)

  - ### switchPrinter

    public void switchPrinter​(Printer printer)
    Перетереть принтер. Чтобы из скрипта обработки печати чека можно было переключить принтер на другой. Использовать: printer.switchPrinter(CashCheckUtils.getPrinter(2))
    Parameters:
      `printer` - новый принтер, параметрами которого заменить текущие параметры.

  - ### clone

    public Printer clone()
    Overrides:
      `clone` in class `java.lang.Object`

  - ### fiscalize

    public ru.bitel.bgbilling.plugins.cashcheck.server.fisc.Fiscalizator fiscalize() throws ru.bitel.bgbilling.common.BGException
    возвращает текущий объект-фискализатор этого принтера
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### setFiscalizatorType

    public void setFiscalizatorType​(Printer.FiscalizatorType fiscalizatorType)

  - ### getFiscalizatorType

    public Printer.FiscalizatorType getFiscalizatorType()

  - ### getConfig

    public ParameterMap getConfig()

  - ### setConfig

    public void setConfig​(ParameterMap config)

  - ### getCheckbuilder

    public java.lang.String getCheckbuilder()

  - ### setCheckbuilder

    public void setCheckbuilder​(java.lang.String checkbuilder)

  - ### getPass

    public int getPass()

  - ### setPass

    public void setPass​(int pass)

  - ### empty

    public static Printer empty()
    возвращает "пустой" незаполенный принтер, для некоторых схем с последующим переключением принтера на нужный